const { spawnSync } = require("child_process");
const path = require("path");
function getGitRootPath() {
  const childProcess = spawnSync("git", ["rev-parse", "--show-toplevel"], {
    shell: true
  });
  return childProcess.stdout.toString().split("\n").filter(Boolean).pop();
}

function getClonedDirectory(){
  return path.resolve(process.cwd(),'node_modules','@zohodesk','precommitlibrary')
}

module.exports = {
  getGitRootPath,
  getClonedDirectory
};
