const path = require('path')
const { existsSync } = require('fs')

// this file code implementation will be removed a

function filterStagedFilesError(files){
    // first index pop for file name
    if(files?.length == 0){
        return []
    }
    const fileName = files[0]
    if(existsSync(fileName)){
       if(fileName.includes('uat')){
        return [...filterByErrorMessage(files,'Do not hardcode content. Use I18N key instead'),...files.slice(files.length-2,)]
       }
       if(fileName.includes('src')){
        return [...filterByErrorMessage(files,'playwright'),...files.slice(files.length-2,)]
    }
}
}


function filterByErrorMessage(files,errorMessage){
    return files.filter((fileContent) => {
        if(errorMessage == 'Do not hardcode content. Use I18N key instead' && fileContent.includes('warning') ){
            return false
        }
        if(fileContent.includes(errorMessage)){
            return false
        }
        return true
    })
}

function allowedFiles(file){
    return file.includes('uat') || 
    (file.includes('jsapps/supportapp/src') 
    && !file.includes('jsapps/supportapp/src/__testsutils__/') 
    && !file.includes('jsapps/supportapp/src/_actions/') 
    && !file.includes('jsapps/supportapp/src/_doubts/') 
    && !file.includes('jsapps/supportapp/src/_integration/') 
    && !file.includes('jsapps/supportapp/src/_middleware/') 
    && !file.includes('jsapps/supportapp/src/_pubSub/') 
    && !file.includes('jsapps/supportapp/src/_reducers/') 
    && !file.includes('jsapps/supportapp/src/_selectors/') 
    && !file.includes('jsapps/supportapp/src/_store/') 
    && !file.includes('jsapps/supportapp/src/_url/') 
    && !file.includes('jsapps/supportapp/src/_utils/') 
    && !file.includes('.docs.js') 
    && !file.includes('.spec.js') 
    && !file.includes('.specs.js') 
    && !file.includes('.test.js'))
}
module.exports = {
    filterStagedFilesError,
    allowedFiles
}
